Skip to main content
GET
/
api
/
admin
/
integrations
Get integrations
curl --request GET \
  --url https://{instance}.{env}.on-hellgate.cloud/api/admin/integrations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "base_url": "http://link:4000",
      "description": "<string>",
      "enabled": true,
      "inserted_at": "2023-11-07T05:31:56Z",
      "name": "Link Production",
      "slug": "link-prod",
      "timeout_ms": 5000,
      "type": "link",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

HS256-signed JWT bearer token, obtained via the OAuth2 client-credentials grant (see Authentication).

Query Parameters

after
string

Pagination cursor

limit
integer

Page size (default 20)

Response

Integration list

data
IntegrationResponse · object[]
required